Subject: Re: bug#44349: 28.0.50; Assertion failure on macOS when resizing frame

From: Eli Zaretskii <[email-masked]>
Date: Sat, 28 Nov 2020 09:51:57 +0200

> Date: Fri, 27 Nov 2020 22:24:29 +0000
> From: Alan Third <[email-masked]>
> Cc: Philipp Stephani <[email-masked]>, [email-masked]
> 
> > I don't see why we would want to enforce that, it sounds like a grave
> > limitation.  Maybe I'm missing some background here.  The version we
> > have on emacs-27 does support non-ASCII characters in the format.
> 
> Patch attached.
> 
> I can't see any other special cases that need to be handled and all my
> tests worked, so I think this is all that's needed.

Thanks!  Can we add tests for this?

> +          /* doprnt_non_null_end doesn't know about multibyte
> +             characters so can truncate format in the middle of one.
> +             If that happens just ignore that character.  */

Is this because the buffer size is measured in characters, not bytes?
Or are there other situations where this could happen?  Can you give
an example?

Silently ignoring parts of input sounds ... unusual, so I wonder what
would it take to avoid that.  How did the old code avoid this problem?